package expense

import (
	"nos-comptes/handler"
	"nos-comptes/internal/storage/dao/postgresql"

	"github.com/gin-gonic/gin"
)

type Context struct {
	service *Service
	db      *Database
	*handler.Context
}

func (c *Context) CreateAnExpense(context *gin.Context) {

}

func (c *Context) DeleteExpense(context *gin.Context) {

}

func (c *Context) GetAllExpenses(context *gin.Context) {

}

func (c *Context) GetAnExpenses(context *gin.Context) {

}

func NewHandler(ctx *handler.Context, db *postgresql.DatabasePostgreSQL) *Context {
	database := NewDatabase(db)
	service := NewService(database)
	return &Context{service: service, db: database, Context: ctx}
}
